Bug 821234 - scala-2.9.1-3.fc17 has broken OpenJDK 1.6.0 dependency
scala-2.9.1-3.fc17 has broken OpenJDK 1.6.0 dependency
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Geoff Reedy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-13 07:48 EDT by Christopher Svanefalk
Modified: 2013-07-31 20:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 20:29:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
New version of scala tooltemplate patch to use default java version (2.27 KB, patch)
2012-05-15 14:09 EDT, Mikko Tiihonen
no flags Details | Diff

  None (edit)
Description Christopher Svanefalk 2012-05-13 07:48:16 EDT
Attempting to run the scala interpreter from CLI:

   $ scala

fails with:

   /usr/bin/scala: error: JVM_LIBDIR /usr/lib/jvm-exports/java-1.6.0 does not exist or is not a directory

This dependency cannot (in my experience) be resolved with a package download, and the application is thus useless without using external hacks.
Comment 1 Christopher Svanefalk 2012-05-13 07:50:39 EDT

Scala version is 2.9.1-3 (packagename: scala-2.9.1-3.fc17)
Comment 2 Mikko Tiihonen 2012-05-15 14:09:51 EDT
Created attachment 584743 [details]
New version of scala tooltemplate patch to use default java version

The scala tools link to hard coded java 1.6, which I think is no longer the default JVM on F17.

To manually fix just edit the /bin/scala with the following:

-export JAVA_HOME=/usr/lib/jvm/java-1.6.0/
+export JAVA_HOME=/usr/lib/jvm/java/
Comment 3 Christopher Svanefalk 2012-05-15 14:36:53 EDT
Thanks for the fix!
Comment 4 Christopher Svanefalk 2012-05-15 14:48:05 EDT
Will this be incorporated into the next package update?
Comment 5 CS Wagner 2012-06-12 09:14:42 EDT
I have installed the main packages for Java and Scala on F17. The lib folder /usr/lib/jvm/java is invalid. It is /usr/lib/jvm/jre. It appears that you can install another package that is not in the Scala dependency tree that will install the "java" link. However, using only the Scala dependency tree, you must set export JAVA_HOME=/usr/lib/jvm/jre/
Comment 6 javiermon 2012-06-22 05:31:22 EDT
I can confirm the fix from CS Wagner works here.
Comment 7 pa.schaeff 2012-07-15 09:37:29 EDT
Mikko Tiihonen fix worked for me on a newly installed F17, java package being java-1.7.0-openjdk-
Comment 8 Fedora End Of Life 2013-07-03 18:32:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 20:29:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.